%define name perl-Array-RefElem
%define real_name Array-RefElem
%define module Array-RefElem
%define version 0.02
%define release 5mdk

Summary: 	Direct access to the internal perl routines for arrays & hashes
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Distribution:	Mandrake Linux
Source:		http://www.cpan.org/authors/id/GAAS/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
Prefix:		%{_prefix}
Requires: 	perl >= 5.600

%description
This module give direct access to the internal perl routines that let
you store reference to things in arrays and hashes.

This module is needed by eGrail.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix} 
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
# This was jmdault code... I keep it in case (cbelisle)

#eval `perl '-V:installarchlib'`
#mkdir -p $RPM_BUILD_ROOT/$installarchlib
#make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
#mv $RPM_BUILD_ROOT%{_prefix}/man $RPM_BUILD_ROOT%{mandir}
#find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g"| \
#	grep -v perllocal.pod | grep -v .packlist | grep -v .bs > \
#	%{module}-%{version}-filelist
#perl -p -i -e 's/\.3/\.3\.bz2/g' %{module}-%{version}-filelist

%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1


%files
%defattr(-,root,root)
%doc README Changes MANIFEST
%{_libdir}/perl5/man/man3/*
%{perl_sitearch}/Array
%{perl_sitearch}/auto/Array

%changelog
* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.02-5mdk
- BuildRequires: perl-devel

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.02-4mdk
- Fix distribution tag

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.02-3mdk
- Make a clean RPM with the right directories

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.02-2mdk
- Rename spec file.
- Rebuild against the latest perl.
- Remove Venor and distribution tag.

* Fri Sep 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.02-1mdk
- First Mandrake release
- Needed for eGrail
